### Hierarchy

- unknown
  - AddDataMessage

## Index

### Constructors

- constructor

### Methods

- clearEntry
- getEntry
- hasEntry
- serializeBinary
- setEntry
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new AddDataMessage(): AddDataMessage

- Inherited from jspb.Message.constructor

  #### Returns AddDataMessage

## Methods

### clearEntry

- clearEntry(): AddDataMessage

- - Defined in src/protobuf/pb_pb.d.ts:843

  #### Returns AddDataMessage

### getEntry

- getEntry(): undefined | StorageEntryWrapper

- - Defined in src/protobuf/pb_pb.d.ts:840

  #### Returns undefined | StorageEntryWrapper

### hasEntry

- hasEntry(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:842

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:845

  #### Returns Uint8Array

### setEntry

- setEntry(value?: StorageEntryWrapper ): AddDataMessage

- - Defined in src/protobuf/pb_pb.d.ts:841

  #### Parameters

  - ##### Optional value: StorageEntryWrapper

  #### Returns AddDataMessage

### toObject

- toObject(includeInstance?: boolean): AddDataMessage . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:846

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns AddDataMessage . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): AddDataMessage

- - Defined in src/protobuf/pb_pb.d.ts:849

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns AddDataMessage

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: AddDataMessage, reader: BinaryReader): AddDataMessage

- - Defined in src/protobuf/pb_pb.d.ts:850

  #### Parameters

  - ##### message: AddDataMessage

  - ##### reader: BinaryReader

  #### Returns AddDataMessage

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: AddDataMessage, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:848

  #### Parameters

  - ##### message: AddDataMessage

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: AddDataMessage ): AddDataMessage . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:847

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: AddDataMessage

  #### Returns AddDataMessage . AsObject

Generated using TypeDoc